/*-------------------------------------------------------------------------+
| Copyright 2018 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.platform.raspberry.generator.extension.brick;

import org.eclipse.emf.ecore.EObject;
import org.fortiss.af3.platform.raspberry.generator.framework.IInstanceGeneratorExtension;

/**
 * Base class for Brick hardware generator extensions using the {@link IInstanceGeneratorExtension}
 * variant.
 * 
 * @author hoelzl
 */
public abstract class InstanceBrickGeneratorExtensionBase<T extends EObject> extends
		BrickGeneratorExtensionBase<T> implements IInstanceGeneratorExtension {
	/** Stores the instance postfix. */
	private String instancePostfix;

	/** Constructor. */
	public InstanceBrickGeneratorExtensionBase(T modelElement) {
		super(modelElement);
	}

	/** {@inheritDoc} */
	@Override
	public final void setInstancePostfix(String instancePostfix) {
		this.instancePostfix = instancePostfix;
	}

	/** Returns instancePostfix. */
	public final String getInstancePostfix() {
		return instancePostfix;
	}

	/** {@inheritDoc} */
	@Override
	public String getInstanceTerminationCode() {
		return null;
	}
}
